//////////////////////////////////////////////////////////
// Particle effects
// 
// (c) 2009 by Claus N.
//////////////////////////////////////////////////////////
void WaterParticleEvent(PARTICLE* p)
{
	p->alpha -= 2.5 * time_step;
	p->size += 0.25 * time_step;
	
	if(p->alpha < 1) {p->lifespan = 0;}
}
//////////////////////////////////////////////////////////
void RegenerationParticleEvent(PARTICLE* p)
{
	p->alpha -= 5 * time_step;
	p->skill_a += 50 * time_step;
	p->skill_b -= 2 * time_step;
	p->size += 1 * time_step;
	p->size = minv(p->size,16);
	p->vel_x = fcos(p->skill_a,p->skill_b);
	p->vel_y = fsin(p->skill_a,p->skill_b);
	p->vel_z = 0;
	
	if(p->alpha < 5) {p->lifespan = 0;}
}
//////////////////////////////////////////////////////////
void WaterParticleTrail(PARTICLE* p)
{
	p->vel_x = random(0.1) - random(0.1);
	p->vel_y = random(0.1) - random(0.1);
	p->vel_z = -random(0.5) - 0.25;
	p->bmap = Particle_WhiteMap;
	p->alpha = random(25) + 30;
	p->flags |= (MOVE | BRIGHT);
	p->size = 6;
	p->event = WaterParticleEvent;
}
//////////////////////////////////////////////////////////
void RegenerationParticles(PARTICLE* p)
{
	p->skill_a = random(360);
	p->skill_b = 32;
	p->bmap = Particle_WhiteMap;
	p->red = 255;
	p->green = 64;
	p->blue = 64;
	p->alpha = 70;
	p->lifespan = 280;
	p->size = 1;
	p->flags |= (MOVE | BRIGHT);
	p->event = RegenerationParticleEvent;
}
//////////////////////////////////////////////////////////
